From 5eb5b83ee33033e17bd4fdb174bdcae9bcc4be84 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter_e@gmx.net>
Date: Fri, 19 Feb 2016 23:07:46 -0500
Subject: [PATCH 3/3] Suppress GCC 6 warning about self-comparison

---
 src/port/path.c | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/src/port/path.c b/src/port/path.c
index 5c9de0c..7bf7cbc 100644
--- a/src/port/path.c
+++ b/src/port/path.c
@@ -86,7 +86,11 @@ skip_drive(const char *path)
 bool
 has_drive_prefix(const char *path)
 {
+#ifdef WIN32
 	return skip_drive(path) != path;
+#else
+	return false;
+#endif
 }
 
 /*
-- 
2.7.1

